Issue #7467 has been reported by mpapis (Michal Papis).

----------------------------------------
Bug #7467: lib/mkmf.rb merge_lib fails on larger sets of libraries
https://bugs.ruby-lang.org/issues/7467

Author: mpapis (Michal Papis)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: ruby 1.9.3p286 (2012-10-12 revision 37165) [x86_64-darwin12.2.0]


running:

merge_libs(["-lncurses", "-ltinfo", "-lssl", "-lcrypto", "-lz", "-lreadline", "-ltermcap", "-lyaml"],["-lcrypto", "-lssl", "-lcrypto", "-lz"],[])

fails with an exception

I have tried a bit and it works fine with a lot simplified version of this code:

def merge_libs(*libs)
  libs.flatten.uniq
end

Also can this be backported to Ruby 1.9.3?



-- 
http://bugs.ruby-lang.org/